Skip to content

Submit feedback

POST
/v1/feedback
curl --request POST \
--url https://api.neuramancer.dev/v1/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "url": "example", "name": "example", "tenantName": "example", "email": "example", "message": "example", "smartlookSessionId": "example", "source": "frontend-support-request", "sourceAttributes": {} }'

Submits user feedback (support requests, analysis feedback, or post-logout feedback). Sends a notification email to the appropriate team. Requires authentication.

Media typeapplication/json

Request payload for submitting feedback.

object
url
required

The URL where the feedback was submitted from

string
name
required

Name of the user submitting feedback

string
tenantName
required

Tenant name of the user

string
email
required

Email address of the user

string
message
required

The feedback message

string
smartlookSessionId

Optional Smartlook session ID for browser session replay

string
source

Source of the feedback. Defaults to ‘frontend-support-request’.

string
Allowed values: frontend-support-request frontend-analysis-feedback frontend-post-logout-feedback
sourceAttributes

Optional source-specific attributes (e.g. analysisId, type for analysis feedback)

object
key
additional properties
any

Feedback submitted successfully

Media typeapplication/json
object
success
boolean
Example
{
"success": true
}

Invalid content type or unknown feedback source

Media typeapplication/json

Standardized error response following the APIResponse schema.

object
success
required
boolean
message
required
string
Example
{
"success": false,
"message": "Bad request"
}

Unauthorized - missing or invalid token

Media typeapplication/json

Standardized error response following the APIResponse schema.

object
success
required
boolean
message
required
string
Example
{
"success": false,
"message": "Bad request"
}

Internal server error

Media typeapplication/json

Standardized error response following the APIResponse schema.

object
success
required
boolean
message
required
string
Example
{
"success": false,
"message": "Bad request"
}